## qt6-scxml 6.4.2

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

if(TARGET Qt::Scxml)
    add_subdirectory(scxml)
endif()
if(TARGET Qt::StateMachine)
    add_subdirectory(statemachine)
endif()

qt_examples_build_end()

=== tests/CMakeLists.txt ===

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()
qt_build_tests()

=== tools/CMakeLists.txt ===

if(QT_FEATURE_commandlineparser)
    add_subdirectory(qscxmlc)
endif()

=== src/statemachine/CMakeLists.txt ===

#####################################################################
## StateMachine Module:
#####################################################################

qt_internal_include_in_repo_target_set(qtstatemachine)

qt_internal_add_module(StateMachine
    SOURCES
        qabstractstate.cpp qabstractstate.h qabstractstate_p.h
        qabstracttransition.cpp qabstracttransition.h qabstracttransition_p.h
        qfinalstate.cpp qfinalstate.h qfinalstate_p.h
        qhistorystate.cpp qhistorystate.h qhistorystate_p.h
        qsignaleventgenerator_p.h
        qsignaltransition.cpp qsignaltransition.h qsignaltransition_p.h
        qstate.cpp qstate.h qstate_p.h
        qstatemachine.cpp qstatemachine.h qstatemachine_p.h
        qstatemachineglobal.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
    GENERATE_CPP_EXPORTS
)

## Scopes:
#####################################################################

qt_internal_extend_target(StateMachine CONDITION QT_FEATURE_qeventtransition
    SOURCES
        gui/qbasickeyeventtransition.cpp gui/qbasickeyeventtransition_p.h
        gui/qbasicmouseeventtransition.cpp gui/qbasicmouseeventtransition_p.h
        gui/qkeyeventtransition.cpp gui/qkeyeventtransition.h
        gui/qmouseeventtransition.cpp gui/qmouseeventtransition.h
        qeventtransition.cpp qeventtransition.h qeventtransition_p.h
    LIBRARIES
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::GuiPrivate
)

qt_internal_add_docs(StateMachine
    doc/qtstatemachine.qdocconf
)

=== tools/qscxmlc/CMakeLists.txt ===
#####################################################################
## qscxmlc Tool:
#####################################################################

qt_internal_include_in_repo_target_set(qtscxml)

qt_get_tool_target_name(target_name qscxmlc)
qt_internal_add_tool(${target_name}
    TOOLS_TARGET Scxml
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        ../../src/scxml/qscxmlcompiler.cpp ../../src/scxml/qscxmlcompiler.h ../../src/scxml/qscxmlcompiler_p.h
        ../../src/scxml/qscxmlerror.cpp ../../src/scxml/qscxmlerror.h
        ../../src/scxml/qscxmlexecutablecontent.cpp ../../src/scxml/qscxmlexecutablecontent.h ../../src/scxml/qscxmlexecutablecontent_p.h
        ../../src/scxml/qscxmlglobals.h
        ../../src/scxml/qscxmltabledata.cpp ../../src/scxml/qscxmltabledata.h
        generator.cpp generator.h
        main.cpp
        moc.h
        outputrevision.h
        qscxmlc.cpp qscxmlc.h
        scxmlcppdumper.cpp scxmlcppdumper.h
        utils.h
    DEFINES
        BUILD_QSCXMLC
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        $<TARGET_PROPERTY:Qt::Scxml,INTERFACE_INCLUDE_DIRECTORIES>
        $<TARGET_PROPERTY:Qt::ScxmlPrivate,INTERFACE_INCLUDE_DIRECTORIES>
    LIBRARIES
        Qt::CorePrivate
)
qt_internal_return_unless_building_tools()

set_property(SOURCE ../../src/scxml/qscxmlerror.h PROPERTY SKIP_AUTOMOC ON)
set_property(SOURCE ../../src/scxml/qscxmlcompiler.cpp PROPERTY SKIP_AUTOMOC ON)

# Resources:
set(templates_resource_files
    "cppdatamodel.t"
    "data.t"
    "decl.t"
)

qt_internal_add_resource(${target_name} "templates"
    PREFIX
        "/"
    FILES
        ${templates_resource_files}
    OPTIONS --no-compress
)


#### Keys ignored in scope 1:.:.:qscxmlc.pro:<TRUE>:
# _OPTION = "host_build"

=== examples/scxml/calculator-qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(calculator-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/calculator-qml")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Scxml)

qt_add_executable(calculator-qml
    calculator-qml.cpp
)

set_target_properties(calculator-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(calculator-qml PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Scxml
)

# Resources:
set(calculator-qml_resource_files
    "Button.qml"
    "calculator-qml.qml"
)

qt6_add_resources(calculator-qml "calculator-qml"
    PREFIX
        "/"
    FILES
        ${calculator-qml_resource_files}
)

# Statecharts:
qt6_add_statecharts(calculator-qml
    ../calculator-common/statemachine.scxml
)

install(TARGETS calculator-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/calculator-widgets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(calculator-widgets LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/calculator-widgets")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Scxml Widgets)

qt_add_executable(calculator-widgets
    calculator-widgets.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)

set_target_properties(calculator-widgets PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(calculator-widgets PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Scxml
    Qt6::Widgets
)

# Statecharts:
qt6_add_statecharts(calculator-widgets
    ../calculator-common/statemachine.scxml
)

install(TARGETS calculator-widgets
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/mediaplayer-widgets-dynamic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(mediaplayer-widgets-dynamic LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/mediaplayer-widgets-dynamic")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Scxml Widgets)

qt_add_executable(mediaplayer-widgets-dynamic
    ../mediaplayer-common/mainwindow.cpp ../mediaplayer-common/mainwindow.h ../mediaplayer-common/mainwindow.ui
    mediaplayer-widgets-dynamic.cpp
)

set_target_properties(mediaplayer-widgets-dynamic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(mediaplayer-widgets-dynamic PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Scxml
    Qt6::Widgets
)

# Resources:
set_source_files_properties("../mediaplayer-common/mediaplayer.scxml"
    PROPERTIES QT_RESOURCE_ALIAS "mediaplayer.scxml"
)

set(mediaplayer_resource_files
    "../mediaplayer-common/mediaplayer.scxml"
)

qt6_add_resources(mediaplayer-widgets-dynamic "mediaplayer"
    PREFIX
        "/"
    FILES
        ${mediaplayer_resource_files}
)

install(TARGETS mediaplayer-widgets-dynamic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-qml-dynamic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(trafficlight-qml-dynamic LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-qml-dynamic")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Scxml)

qt_add_executable(trafficlight-qml-dynamic
    trafficlight-qml-dynamic.cpp
)

set_target_properties(trafficlight-qml-dynamic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(trafficlight-qml-dynamic PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Scxml
)

# Resources:
set_source_files_properties("../trafficlight-common/Button.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Button.qml"
)

set_source_files_properties("../trafficlight-common/Lights.ui.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Lights.ui.qml"
)

set_source_files_properties("../trafficlight-common/TrafficLight.qml"
    PROPERTIES QT_RESOURCE_ALIAS "TrafficLight.qml"
)

set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)

set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)

set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)

set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)

set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)

set_source_files_properties("../trafficlight-common/statemachine.scxml"
    PROPERTIES QT_RESOURCE_ALIAS "statemachine.scxml"
)

set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)

set(trafficlight-qml-dynamic_resource_files
    "../trafficlight-common/Button.qml"
    "../trafficlight-common/Lights.ui.qml"
    "../trafficlight-common/TrafficLight.qml"
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/statemachine.scxml"
    "../trafficlight-common/yellow.png"
    "trafficlight-qml-dynamic.qml"
)

qt6_add_resources(trafficlight-qml-dynamic "trafficlight-qml-dynamic"
    PREFIX
        "/"
    FILES
        ${trafficlight-qml-dynamic_resource_files}
)

install(TARGETS trafficlight-qml-dynamic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-qml-static/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(trafficlight-qml-static LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-qml-static")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Scxml)

qt_add_executable(trafficlight-qml-static
    trafficlight-qml-static.cpp
)

set_target_properties(trafficlight-qml-static PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(trafficlight-qml-static PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Scxml
)

# Resources:
set_source_files_properties("../trafficlight-common/Button.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Button.qml"
)

set_source_files_properties("../trafficlight-common/Lights.ui.qml"
    PROPERTIES QT_RESOURCE_ALIAS "Lights.ui.qml"
)

set_source_files_properties("../trafficlight-common/TrafficLight.qml"
    PROPERTIES QT_RESOURCE_ALIAS "TrafficLight.qml"
)

set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)

set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)

set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)

set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)

set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)

set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)

set(trafficlight-qml-static_resource_files
    "../trafficlight-common/Button.qml"
    "../trafficlight-common/Lights.ui.qml"
    "../trafficlight-common/TrafficLight.qml"
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/yellow.png"
    "trafficlight-qml-static.qml"
)

qt6_add_resources(trafficlight-qml-static "trafficlight-qml-static"
    PREFIX
        "/"
    FILES
        ${trafficlight-qml-static_resource_files}
)

# Statecharts:
qt6_add_statecharts(trafficlight-qml-static
    ../trafficlight-common/statemachine.scxml
)

install(TARGETS trafficlight-qml-static
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-widgets-dynamic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(trafficlight-widgets-dynamic LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-widgets-dynamic")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Scxml Widgets)

qt_add_executable(trafficlight-widgets-dynamic
    ../trafficlight-common/trafficlight.cpp ../trafficlight-common/trafficlight.h
    trafficlight-widgets-dynamic.cpp
)

set_target_properties(trafficlight-widgets-dynamic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(trafficlight-widgets-dynamic PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Scxml
    Qt6::Widgets
)

# Resources:
set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)

set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)

set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)

set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)

set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)

set_source_files_properties("../trafficlight-common/statemachine.scxml"
    PROPERTIES QT_RESOURCE_ALIAS "statemachine.scxml"
)

set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)

set(trafficlight-widgets-dynamic_resource_files
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/statemachine.scxml"
    "../trafficlight-common/yellow.png"
)

qt6_add_resources(trafficlight-widgets-dynamic "trafficlight-widgets-dynamic"
    PREFIX
        "/"
    FILES
        ${trafficlight-widgets-dynamic_resource_files}
)

install(TARGETS trafficlight-widgets-dynamic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/scxml/trafficlight-widgets-static/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(trafficlight-widgets-static LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-widgets-static")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Scxml Widgets)

qt_add_executable(trafficlight-widgets-static
    ../trafficlight-common/trafficlight.cpp ../trafficlight-common/trafficlight.h
    trafficlight-widgets-static.cpp
)

set_target_properties(trafficlight-widgets-static PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(trafficlight-widgets-static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Scxml
    Qt::Widgets
)

# Resources:
set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)

set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)

set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)

set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)

set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)

set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)

set(trafficlight-widgets-static_resource_files
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/yellow.png"
)

qt6_add_resources(trafficlight-widgets-static "trafficlight-widgets-static"
    PREFIX
        "/"
    FILES
        ${trafficlight-widgets-static_resource_files}
)

# Statecharts:
qt6_add_statecharts(trafficlight-widgets-static
    ../trafficlight-common/statemachine.scxml
)

install(TARGETS trafficlight-widgets-static
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-scxml (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:01 +0000

qt6-scxml (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:06 +0000

qt6-scxml (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:33:41 -0300

qt6-scxml (6.4.2-3) experimental; urgency=medium

  * Team upload to unstable.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042304).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 18:30:44 -0300

qt6-scxml (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Install the ECMAScript Data Model plugin (Closes: #1035066).

 -- Patrick Franz <deltaone@debian.org>  Mon, 01 May 2023 01:53:51 +0200

qt6-scxml (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:46:29 +0100

qt6-scxml (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:50 +0100

qt6-scxml (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:25 +0100

=== debian/control ===
Source: qt6-scxml
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-scxml-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
Rules-Requires-Root: no

Package: libqt6scxml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML.

Package: libqt6scxml6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6scxml6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the helper binary for Qt 6 SCXML.

Package: libqt6scxmlqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML QML.

Package: libqt6statemachine6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 State Machine library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 State Machine.

Package: libqt6statemachineqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 State Machine QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 State Machine QML.

Package: qml6-module-qtscxml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for Qt SCXML.

Package: qml6-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Qt QML State Machine module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for the Qt State Machine.

Package: qt6-scxml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6scxml6 (= ${binary:Version}),
         libqt6scxml6-bin (= ${binary:Version}),
         libqt6scxmlqml6 (= ${binary:Version}),
         libqt6statemachine6 (= ${binary:Version}),
         libqt6statemachineqml6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 SCXML - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for Qt 6 SCXML.

Package: qt6-scxml-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 scxml.

Package: qt6-scxml-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 scxml.

Package: qt6-scxml-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt scxml
 documentation.

Package: qt6-scxml-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 scxml examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt scxml submodule.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-scxml 6.6.1

=== debian/changelog ===
qt6-scxml (6.6.1-1) experimental; urgency=medium

  [ Tianyu Chen ]
  * New upstream release.
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Move libqt6{scxml,statemachine}qml6 to corresponding QML packages.
  * Fixed broken file references in qt6-scxml-doc-html doc-base configuration.
  * qt6-scxml-dev should not depend on QML modules.
  * Suppress lintian package-name-doesnt-match-sonames warnings for QML
    modules.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Jan 2024 18:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-scxml
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,17 +11,15 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
@@ -64,23 +61,6 @@
  .
  This package contains the helper binary for Qt 6 SCXML.
 
-Package: libqt6scxmlqml6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 SCXML QML library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The Qt SCXML module provides functionality to create state
- machines from SCXML files. This includes both dynamically
- creating state machines (loading the SCXML file and instantiating
- states and transitions) and generating a C++ file that has a class
- implementing the state machine. It also contains functionality
- to support data models and executable content.
- .
- This package contains the library for Qt 6 SCXML QML.
-
 Package: libqt6statemachine6
 Architecture: any
 Multi-Arch: same
@@ -97,23 +77,6 @@
  to support data models and executable content.
  .
  This package contains the library for Qt 6 State Machine.
-
-Package: libqt6statemachineqml6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 State Machine QML library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The Qt SCXML module provides functionality to create state
- machines from SCXML files. This includes both dynamically
- creating state machines (loading the SCXML file and instantiating
- states and transitions) and generating a C++ file that has a class
- implementing the state machine. It also contains functionality
- to support data models and executable content.
- .
- This package contains the library for Qt 6 State Machine QML.
 
 Package: qml6-module-qtscxml
 Architecture: any
@@ -155,9 +118,7 @@
 Multi-Arch: same
 Depends: libqt6scxml6 (= ${binary:Version}),
          libqt6scxml6-bin (= ${binary:Version}),
-         libqt6scxmlqml6 (= ${binary:Version}),
          libqt6statemachine6 (= ${binary:Version}),
-         libqt6statemachineqml6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 SCXML - development files

## qt6-scxml 6.6.2

=== debian/changelog ===
qt6-scxml (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:35:30 +0200

qt6-scxml (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 22:52:50 +0100

qt6-scxml (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libqt6scxmlqml6 and
    libqt6statemachineqml6 (Closes: #1061067).

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Jan 2024 15:36:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -82,6 +82,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6scxmlqml6,
+Replaces: libqt6scxmlqml6,
 Description: Qt 6 SCXML QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -99,6 +101,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6statemachineqml6,
+Replaces: libqt6statemachineqml6,
 Description: Qt 6 Qt QML State Machine module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-scxml 6.7.2

=== debian/changelog ===
qt6-scxml (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Dec 2024 00:07:42 +0100

qt6-scxml (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:00:11 +0200

qt6-scxml (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 21:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
@@ -81,7 +83,7 @@
 Package: qml6-module-qtscxml
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6scxmlqml6,
 Replaces: libqt6scxmlqml6,
 Description: Qt 6 SCXML QML module
@@ -100,7 +102,7 @@
 Package: qml6-module-qtqml-statemachine
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6statemachineqml6,
 Replaces: libqt6statemachineqml6,
 Description: Qt 6 Qt QML State Machine module
@@ -123,6 +125,8 @@
 Depends: libqt6scxml6 (= ${binary:Version}),
          libqt6scxml6-bin (= ${binary:Version}),
          libqt6statemachine6 (= ${binary:Version}),
+         qml6-module-qtqml-statemachine (= ${binary:Version}),
+         qml6-module-qtscxml (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 SCXML - development files

## qt6-scxml 6.8.0

=== debian/changelog ===
qt6-scxml (6.8.0-0deepin1) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Nov 2024 14:02:58 +0800

qt6-scxml (6.6.1-1deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:17:09 +0800

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,22 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
@@ -83,9 +81,7 @@
 Package: qml6-module-qtscxml
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt6scxmlqml6,
-Replaces: libqt6scxmlqml6,
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 SCXML QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -102,9 +98,7 @@
 Package: qml6-module-qtqml-statemachine
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt6statemachineqml6,
-Replaces: libqt6statemachineqml6,
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Qt QML State Machine module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -125,8 +119,6 @@
 Depends: libqt6scxml6 (= ${binary:Version}),
          libqt6scxml6-bin (= ${binary:Version}),
          libqt6statemachine6 (= ${binary:Version}),
-         qml6-module-qtqml-statemachine (= ${binary:Version}),
-         qml6-module-qtscxml (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 SCXML - development files

## qt6-scxml 6.8.1

=== debian/changelog ===
qt6-scxml (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:52:57 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-scxml
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -9,18 +10,18 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
@@ -82,6 +83,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6scxmlqml6,
+Replaces: libqt6scxmlqml6,
 Description: Qt 6 SCXML QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -99,6 +102,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6statemachineqml6,
+Replaces: libqt6statemachineqml6,
 Description: Qt 6 Qt QML State Machine module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
